﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zadacha
{
    public class Dvizhenie
    {
        const double g = 9.8;
        const double pi = 3.1415;

        public const string rezult1 = "Максимальное время полета T max=";
        public const string rezult2 = "Максимальная высота H max";
        public const string rezult3 = "Максмильное расстояние L max";

        public static double vremyaT(double v, double a, double dt)
        {
            double alpha = a * pi / 180;
            double T = Math.Round(2 * v * Math.Sin(alpha) / g, 2);
            return T;
        }
        
        public static double vysotaH(double v, double a,double dt)
        {
            double alpha = a * pi / 180;
            double H=Math.Round(v*v*Math.Sin(alpha)*Math.Sin(alpha) / (2*g),2);
            return H;
        }

        public static double dlinaL(double v,double a, double dt)
        {
            double alpha = a * pi / 180;
            double l = Math.Round(v * v * Math.Sin(2 * alpha) / g, 2);
            return l;
        }

        public static double KoordX(double v,double a, double i)
        {
            double X = v * i * Math.Cos(a * pi / 180);
            return X;
        }

        public static double KoordY(double v, double a, double i)
        {
            double Y = v * i * Math.Sin(a * pi / 180)-g*i*i/2;
            return Y;
        }

    }
}
